summaryrefslogtreecommitdiffstats
path: root/package/tinyhttpd/S85tinyhttpd
diff options
context:
space:
mode:
author"Steven J. Hill"2007-07-17 02:23:31 +0200
committer"Steven J. Hill"2007-07-17 02:23:31 +0200
commit80de02162d221771af3ef98ce4b2c25dfea1e7e7 (patch)
tree63b4743a0e3bd8dae7ddb3ba086a3a99141d07b1 /package/tinyhttpd/S85tinyhttpd
parentBuild proftpd with IPv6 support only if the toolchain was configured as such. (diff)
downloadbuildroot-80de02162d221771af3ef98ce4b2c25dfea1e7e7.tar.gz
buildroot-80de02162d221771af3ef98ce4b2c25dfea1e7e7.tar.xz
buildroot-80de02162d221771af3ef98ce4b2c25dfea1e7e7.zip
Add new 'tinyhttpd' package and move all other httpd servers to be disabled if the BusyBox server is being used.
Diffstat (limited to 'package/tinyhttpd/S85tinyhttpd')
-rwxr-xr-xpackage/tinyhttpd/S85tinyhttpd33
1 files changed, 33 insertions, 0 deletions
diff --git a/package/tinyhttpd/S85tinyhttpd b/package/tinyhttpd/S85tinyhttpd
new file mode 100755
index 000000000..a1f4ce836
--- /dev/null
+++ b/package/tinyhttpd/S85tinyhttpd
@@ -0,0 +1,33 @@
+#! /bin/sh
+
+PATH=/usr/local/sbin:/usr/local/bin:/sbin:/bin:/usr/sbin:/usr/bin
+NAME=tinyhttpd
+
+test -x /usr/sbin/$NAME || exit 0
+mkdir -p /var/www
+
+case "$1" in
+ start)
+ echo -n "Starting $NAME: "
+ $NAME > /dev/null &
+ echo "done"
+ ;;
+ stop)
+ echo -n "Stopping $NAME: "
+ killall -9 $NAME
+ echo "done"
+ ;;
+ restart)
+ echo -n "Restarting $NAME: "
+ killall -9 $NAME
+ sleep 1
+ $NAME > /dev/null &
+ echo "done"
+ ;;
+ *)
+ echo "Usage: /etc/init.d/S85tinyhttpd {start|stop|restart}" >&2
+ exit 1
+ ;;
+esac
+
+exit 0